# Accessing the Network Tool Library

{% hint style="info" %}
📺 Watch on Youtube!: [The Network Tools Library Introduction & Example](https://www.youtube.com/watch?v=Wuw_lpxAYzQ)
{% endhint %}

The following directory contains the files needed to interact with the library:

`/home/<USERNAME>/hollaex-kit/server/utils/hollaex-network-lib`

In the .js file you will use to run whatever commands desired, three elements must be passed:

* `apiKey`
* `apiSecret`
* `activation_code`

If you know your exchange's ID, the field `exchange_id` can also be passed.&#x20;

These attributes are passed as such:&#x20;

```javascript
const Network = require('hollaex-network-lib');

const client = new Network({
	apiKey: '<MY_API_KEY>',
	apiSecret: '<MY_API_SECRET>'
	activation_code: '<MY_ACTIVATION_CODE>'
});
```

The field `apiExpiresAfter` can also be passed, which denotes the length of time (in seconds) each request is valid for. By default this value is `60`.

The exchanges activation key can be accessed in the following manner:

1. Access your exchanges settings with the tab in the top left
2. Enter the General settings page
3. Scroll to the bottom, click the eye icon to reveal the code and copy it

![](/files/HClfVt8EEGWJ2lOfWG3V)

Alternatively, by accessing the *secrets* file in the *settings* directory of the HollaEx Kit, all 3 required codes can be found. &#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hollaex.com/advanced/the-network-tool-library/accessing-the-network-tool-library.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
